Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.capabilities
Class EBRIMCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.csw.capabilities.EBRIMCapabilities

    public class EBRIMCapabilities

extends Object

The `EBRIMCapabilities` class encapsulates the extra capabilities of ebrim.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$

Constructor Summary
`EBRIMCapabilities(Map<URI,CSWFeature> serviceFeatures, Map<URI,List<String>> serviceProperties, SimpleLink wsdl_services)`

Method Summary
`Map<URI,CSWFeature>` | `getServiceFeatures()`
`Map<URI,List<String>>` | `getServiceProperties()`
`SimpleLink` | `getWsdl_services()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EBRIMCapabilities

    public EBRIMCapabilities(Map<URI,CSWFeature> serviceFeatures,
                             Map<URI,List<String>> serviceProperties,
                             SimpleLink wsdl_services)

Parameters:
  `serviceFeatures` -
  `serviceProperties` -
  `wsdl_services` -
Throws:
  `IllegalArgumentException` - if any of the given parameters are null.

Method Detail

### getServiceFeatures

    public Map<URI,CSWFeature> getServiceFeatures()

  Returns:
    the serviceFeatures.

### getServiceProperties

    public Map<URI,List<String>> getServiceProperties()

  Returns:
    the serviceProperties.

### getWsdl_services

    public SimpleLink getWsdl_services()

  Returns:
    the wsdl_services.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org